JDK son surum de bir program yazdim,arkadaşıma gönderdiyim zaman çalışmadığını söyledi.JRE- güncelledikden sonra çalışdı.Neden JRE son surumde çalışan bir java programı alt sürümde çalışmaz ?

soruldu: 24 Tem '12, 01:19

meqintosh's gravatar image

meqintosh
201141723
cevap kabul oranı: 0%


Şöyle ki, jdk7 ile birlikte gelen ve önceki sürümde bulunmayan dilin getirdiği bazı yenilikleri kullanmış olabilirsin, doğal olarak arkadaşın da daha eski bir jre sürümü ile gönderdiğin programı run etmek istediğinde bu özellikler eski sürüm olan jre'de mevcut olmadığından program çalışmamıştır. Zaten beklenen de sonraki sürümün öncekileri desteklemesi öncekilerin sonrakini desteklemesi beklenemez doğal olarak. Yani arkadşında jre6 varsa jre7 de yazılmış bir kodu çalıştıramaması normal, ama siz jre6 da yazıp jre7 olan arkadaşınıza kodu verseydiniz ve çalıştıramasaydı o zaman bir gariplik olduğu söylenebilirdi.

permanent link

cevaplandı: 24 Tem '12, 02:10

nht's gravatar image

nht
95651720
cevap kabul oranı: 33%

Cevabınız
toggle preview

Bu soruyu takip et

E-Posta üzerinden:

Üyelik girişi yaptıktan sonra abonelik işlemlerini yapabilirsiniz

RSS üzerinden:

Cevaplar

Cevaplar ve Yorumlar

Yazı Formatlama

  • *italic* ya da _italic_
  • **bold** ya da __bold__
  • link:[text](http://url.com/ "başlık")
  • resim?![alt text](/path/img.jpg "başlık")
  • liste: 1. Foo 2. Bar
  • temel HTML etiketleri de kullanılabilir

Bu sorunun etiketleri:

×6
×4
×2

Soruldu: 24 Tem '12, 01:19

Görüntüleme: 739 kez

Son güncelleme: 24 Tem '12, 02:10

powered by BitNami OSQA